package de.apps4ics.mountainnavigation.pois;

import org.osmdroid.util.GeoPoint;

/**
 * Created by Vinz on 03.11.2015.
 */
public class DbGeoPoint extends Poi {
    private double lat;
    private double lon;
    private double alt;
    private long _time;

    public DbGeoPoint(GeoPoint gp) {
        this.lat = gp.getLatitude();
        this.lon = gp.getLongitude();
        this.alt = gp.getAltitude();
    }
    public DbGeoPoint(long _id) {
        super(_id, Types.GP);
    }
    public DbGeoPoint(){
        super(Types.GP);
    }

    public DbGeoPoint(double aLatitude, double aLongitude, double aAltitude) {
        this(aLatitude, aLongitude, aAltitude, System.currentTimeMillis());
    }

    public DbGeoPoint(double aLatitude, double aLongitude, double aAltitude, long _time) {
        this(0, aLatitude, aLongitude, aAltitude, _time);
    }

    public DbGeoPoint(long id, double lat, double lon, double alt, long time){
        super(id, Types.GP);
        this.lat = lat;
        this.lon = lon;
        this.alt = alt;
        this._time = time;
    }

    public double getLat(){
        return lat;
    }

    public double getLon(){
        return lon;
    }

    public double getAlt(){
        return alt;
    }

    public long getTime(){
        return _time;
    }

    public void setId(long id){
        _id = id;
    }
}
